Page MenuHomePhabricator

Onboard gtirloni to WMF
Closed, ResolvedPublic

Description

We have a running doc here: https://www.mediawiki.org/wiki/Wikimedia_Cloud_Services_team/Onboarding_Giovanni

[ongoing / incomplete] list of things remaining:

Event Timeline

Andrew created this task.Sep 4 2018, 5:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 4 2018, 5:35 PM
Andrew claimed this task.Sep 4 2018, 5:36 PM
Paladox added a subscriber: Paladox.Sep 4 2018, 5:37 PM
Andrew added a subscriber: GTirloni.Sep 4 2018, 6:58 PM
GTirloni updated the task description. (Show Details)Sep 4 2018, 7:14 PM
Andrew updated the task description. (Show Details)Sep 4 2018, 7:15 PM
Andrew updated the task description. (Show Details)Sep 4 2018, 7:18 PM
GTirloni updated the task description. (Show Details)Sep 4 2018, 7:20 PM
Andrew updated the task description. (Show Details)Sep 4 2018, 7:21 PM
Andrew updated the task description. (Show Details)Sep 4 2018, 7:30 PM
Andrew updated the task description. (Show Details)Sep 4 2018, 8:31 PM
Andrew updated the task description. (Show Details)Sep 4 2018, 8:43 PM
Dzahn added a subscriber: Dzahn.Sep 5 2018, 2:57 PM

when adding users to LDAP groups they also need to be added to the admin module in puppet.

we are getting this from the "cross-validate-accounts" script:

Membership of ops group in LDAP and YAML are not identical
gtirloni present in privileged LDAP group (ops),but not present in data.yaml
gtirloni present in privileged LDAP group (wmf),but not present in data.yaml
Andrew updated the task description. (Show Details)Sep 6 2018, 2:03 PM
Andrew updated the task description. (Show Details)
bd808 added a subscriber: bd808.Sep 6 2018, 3:21 PM
Dzahn added a comment.Sep 7 2018, 2:46 PM

approved pending subscription requests for ops and ops-private (that now showed up), though i see the boxes were already checked here.

@Dzahn thanks! I think those were leftovers from when I tried to subscribe myself vs when Andre added me directly.

Dzahn added a comment.Sep 7 2018, 6:58 PM

You can probably skip the "racktables" checkbox in favor of https://netbox.wikimedia.org/ instead. Though T199083 is still open it seems close.

GTirloni updated the task description. (Show Details)Sep 7 2018, 7:01 PM

Change 459763 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] cloud: Add gtirloni to shinken instance

https://gerrit.wikimedia.org/r/459763

Change 459773 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[labs/private@master] Add gtirloni to cloud-wide root

https://gerrit.wikimedia.org/r/459773

Change 459779 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] cloud: Add gtirloni to sms contact group

https://gerrit.wikimedia.org/r/459779

GTirloni updated the task description. (Show Details)Sep 11 2018, 1:06 PM
GTirloni updated the task description. (Show Details)Sep 11 2018, 1:10 PM
GTirloni updated the task description. (Show Details)Sep 11 2018, 3:55 PM

Change 459763 merged by GTirloni:
[operations/puppet@production] cloud: Add gtirloni to shinken instance

https://gerrit.wikimedia.org/r/459763

Change 459779 merged by GTirloni:
[operations/puppet@production] cloud: Add gtirloni to sms contact group

https://gerrit.wikimedia.org/r/459779

Mentioned in SAL (#wikimedia-operations) [2018-09-11T16:27:09Z] <mutante> added gtirloni to acl*sre-team on Phabricator (T203489)

Change 459817 had a related patch set uploaded (by GTirloni; owner: GTirloni):
[operations/puppet@production] cloud: Add GTirloni as prod icinga contact

https://gerrit.wikimedia.org/r/459817

Change 459817 merged by GTirloni:
[operations/puppet@production] cloud: Add GTirloni as prod icinga contact

https://gerrit.wikimedia.org/r/459817

Dzahn updated the task description. (Show Details)Sep 11 2018, 5:24 PM

Change 459773 merged by GTirloni:
[labs/private@master] Add gtirloni to cloud-wide root

https://gerrit.wikimedia.org/r/459773

GTirloni updated the task description. (Show Details)Sep 11 2018, 5:46 PM
GTirloni updated the task description. (Show Details)Sep 11 2018, 6:15 PM
GTirloni closed this task as Resolved.Sep 11 2018, 6:22 PM